#pragma once

#define TARGET_FPS          60
#define TILE_SIZE           16
#define PLAYER_WIDTH        12
#define PLAYER_HEIGHT       12
#define MAX_WALK_SPEED      2.0f
#define AIR_ACCELERATION    0.4f
#define GROUND_ACCELERATION 0.4f
#define AIR_FRICTION        (AIR_ACCELERATION / MAX_WALK_SPEED)
#define GROUND_FRICTION     (GROUND_ACCELERATION / MAX_WALK_SPEED)
#define AIR_RESISTANCE      0.01f
#define GRAVITY             0.3f
#define JUMP_SPEED          -6.0f
#define JUMP_BREAK          3
#define JUMP_BUFFER         12
#define JUMP_GRACE          6
#define BURN_DEATH          3
#define BOUNCE_SPEED        -2.0f
