#pragma once
#include "vec.h"

enum AirState { AS_NEUTRAL, AS_RISING, AS_BREAKING };

struct Player {
	struct Vec pos;
	struct VecF spd, rem;
	enum AirState air_state;
	int jump_buffer, jump_grace, burn, bouncing;
};

void player_spawn(struct Player *);
void player_update(struct Player *);
void player_draw(struct Player *);
void player_move(struct Player *, struct Vec);
